//	TWI(I2C)基本操作ライブラリ（マスター用）
//	『昼夜逆転』工作室	http://jsdiy.webcrow.jp
//	2017/06

#ifndef TWILIB_H_
#define TWILIB_H_


// Defines controlling timing limits
//	TWI_STANDARD_MODE	: TWI STANDARD mode timing limits. SCL <= 100kHz
//	TWI_FAST_MODE		: TWI FAST mode timing limits.     SCL  = 100-400kHz
//	↓どちらか一方を有効にし、他方をコメントアウトする。
//
//#define	TWI_STANDARD_MODE
#define	TWI_FAST_MODE

void	TWI_MasterInit();
uint8_t	TWI_Start();
uint8_t	TWI_SlaveAddrW(uint8_t sla);
uint8_t	TWI_SlaveAddrR(uint8_t sla);
uint8_t	TWI_WriteByte(uint8_t data);
uint8_t	TWI_ReadByte(uint8_t isLastOne, uint8_t* data);
void	TWI_Stop();


#endif	//TWILIB_H_
